WordPress.org

Support

Support » How-To and Troubleshooting » Just upgraded to 2.8, cant move widgets!

Just upgraded to 2.8, cant move widgets!

  • As the title says, just upgraded from 2.7 to 2.8, and when I go to the “Widgets” section….I see them..I just cant move them! Any help?

Viewing 15 replies - 1 through 15 (of 18 total)
  • esmi

    @esmi

    Forum Moderator

    Try deactivating all plugins and check to see if this resolves the problem. If it does, activate the plugins one by one – checking the Widget’s section after each re-activation – until you find the problematic plugin(s).

    In the upper right corner of your WordPress dashboard, when on the widgets page, try going to Screen Options, then click on “Enable Accessibility Mode”

    esmi

    @esmi

    Forum Moderator

    @bh_wp_fan: won’t that just turn the button back on? If the widgets can’t be dragged & dropped, something, somewhere, is interfering.

    More then likely the problem comes from a plugin as wp in it’s deafult flavour would not have that issue.

    So best deactivating all plugins and re enable one at a time and check u can drag and drop until you find the one that stops you from being able to drag and drop.

    More then likely some plugins will need upgrading to work with 2.8 but that could take time dependent on how well supported the plugin is.

    I always recommend deactivating plugins, however, WP 2.8 does show the widgets but won’t let you drag and drop them unless you turn on the accessibility mode. Based on the given description I assume this is what is happening. If that didn’t work, turning to the plugins and then uploading files again is where my recommendations would go.

    however, WP 2.8 does show the widgets but won’t let you drag and drop them unless you turn on the accessibility mode.

    That’s not always true, but the accessibility mode can work in situations where plugins have their own JS files that seem to cause issues with core JS.

    I just found that the WPBook was causing my problem. So deactivate, do my moves, and reactivate is the order of the day it seems.

    Same problem here, the faulty plugin was “Liz Comment Counter by Ozh”… =(

    IntenseDebate Version 2.1.1 was my problem.

    yes disabling widgets sorted out my problem, mine was caused by FLickr Badge Widget, it was obviously behaving badly as the remove close buttons didnt disappear, once disabled i was able to move other well behaved widgets into place and then reactivating the flickr badge widget let me drag it into the correct spot.

    Enabling accessibility didn’t help, couldn’t drag anything at all with that on.

    e-commerce was the problem here…

    It was deactivating the WPMarketer plugin that did the trick on mine. As soon as I reactivate it the widgets are frozen again. I hope they make an update to fix this.

    Thank you all. I’ll try it all.

    Hi,
    I have the same issue, I can’t drag and drop widget and I can’t use Screen Options, it doesn’ work. I disable all the plugin but nothing change…

    Deactivating plugins didn’t work for me. However, I then installed the use google libraries plugin and I could immediately move my widgets.

Viewing 15 replies - 1 through 15 (of 18 total)
  • The topic ‘Just upgraded to 2.8, cant move widgets!’ is closed to new replies.